Get a finding
curl --request GET \
--url https://www.corgea.app/api/v1/findings/{finding_id} \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/findings/{finding_id}"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/findings/{finding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.corgea.app/api/v1/findings/{finding_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"CORGEA-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.corgea.app/api/v1/findings/{finding_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("CORGEA-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.corgea.app/api/v1/findings/{finding_id}")
.header("CORGEA-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.corgea.app/api/v1/findings/{finding_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["CORGEA-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"finding": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_type": "sast",
"detection_state": "active",
"status": "open",
"status_comment": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"status_changed_by": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
},
"accepted_risk_expiry_date": "2023-11-07T05:31:56Z",
"assigned_to": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
},
"due_date": "2023-11-07T05:31:56Z",
"sla_status": "<string>",
"urgency": "CR",
"classification": {
"id": "CWE-79",
"name": "<string>",
"description": "<string>"
},
"project": {
"id": 123,
"name": "<string>"
},
"first_detection_date": "2023-11-07T05:31:56Z",
"last_detection_date": "2023-11-07T05:31:56Z",
"detections_count": 123,
"latest_detection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch": "<string>",
"sha": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file_path": "<string>",
"line_number": 123,
"path": "<string>",
"package": "<string>",
"version": "<string>",
"cve": "<string>",
"rule_id": "<string>",
"start_line": 123,
"end_line": 123
}
}
}Findings
Get a finding
One finding, of any family, with its triage state, the count and dates of its detections and its newest detection. The token needs the same view permission as the family’s issues list.
GET
/
findings
/
{finding_id}
Get a finding
curl --request GET \
--url https://www.corgea.app/api/v1/findings/{finding_id} \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/findings/{finding_id}"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/findings/{finding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.corgea.app/api/v1/findings/{finding_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"CORGEA-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.corgea.app/api/v1/findings/{finding_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("CORGEA-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.corgea.app/api/v1/findings/{finding_id}")
.header("CORGEA-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.corgea.app/api/v1/findings/{finding_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["CORGEA-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"finding": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_type": "sast",
"detection_state": "active",
"status": "open",
"status_comment": "<string>",
"status_changed_at": "2023-11-07T05:31:56Z",
"status_changed_by": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
},
"accepted_risk_expiry_date": "2023-11-07T05:31:56Z",
"assigned_to": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
},
"due_date": "2023-11-07T05:31:56Z",
"sla_status": "<string>",
"urgency": "CR",
"classification": {
"id": "CWE-79",
"name": "<string>",
"description": "<string>"
},
"project": {
"id": 123,
"name": "<string>"
},
"first_detection_date": "2023-11-07T05:31:56Z",
"last_detection_date": "2023-11-07T05:31:56Z",
"detections_count": 123,
"latest_detection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch": "<string>",
"sha": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file_path": "<string>",
"line_number": 123,
"path": "<string>",
"package": "<string>",
"version": "<string>",
"cve": "<string>",
"rule_id": "<string>",
"start_line": 123,
"end_line": 123
}
}
}Authorizations
CorgeaTokenBearerAuth
API key for authentication API tokens belonging to inactive users are rejected.
Path Parameters
The ID of the finding, as finding_id on issue items
Response
Finding retrieved successfully
Was this page helpful?
